<?php

class m130225_142114_fg extends CDbMigration
{
	/*public function up()
	{
	}

	public function down()
	{
		echo "m130225_142114_fg does not support migration down.\n";
		return false;
	}*/

	
	// Use safeUp/safeDown to do migration with transaction
	public function safeUp()
	{
		$this->createTable('{{formdata}}', array(
            'id' => 'pk',
            'form_id' => 'integer NOT NULL',
            'created_at' => 'timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP',
            'referer' => 'string NOT NULL DEFAULT \'\'',
        	'ip' => 'string NOT NULL DEFAULT \'\'',
            'json' => 'text NOT NULL'
        ));
        $this->createTable('{{forms}}', array(
            'id' => 'pk',
            'name' => 'string NOT NULL DEFAULT \'\'',
            'json' => 'text',
            'html' => 'text',
            'creator_email' => 'string NOT NULL DEFAULT \'\'',
            'user' => 'string NOT NULL DEFAULT \'\'',
            'salt' => 'string DEFAULT \'\''
        ));
        $this->createTable('{{templates}}', array(
            'id' => 'pk',
            'name' => 'string NOT NULL DEFAULT \'\'',
            'json' => 'text',
            'user' => 'string NOT NULL DEFAULT \'\'',
            'global' => 'bool NOT NULL DEFAULT FALSE',
        ));
	}

	public function safeDown()
	{
		  $this->dropTable('{{formdata}}');
        	  $this->dropTable('{{forms}}');
        	  $this->dropTable('{{templates}}');
	}
	
}
