<?php
    /**
     * Gentics Portal.Node PHP
     * Author & Copyright (c) by Gentics Software GmbH
     * sales@gentics.com
     * http://www.gentics.com
     * Licenses can be found in the LICENSE.txt file in the root-folder of this installation
     * You must not use this software without a valid license agreement.
     *
     */
?>
<?php echo CHtml::beginForm(Yii::app()->CreateUrl($landingPage.'#searchResults'), 'get') ?>
<div class="simple-search">
    <?php echo SearchModule::t('Search for');?>:
    <?php echo CHtml::textField('searchTerm', Yii::app()->request->getQuery('searchTerm', ''), array('class'=>$this->uniqClassName));?>
    <?php echo CHtml::submitButton(SearchModule::t('Search'), array('name'=>"sub"));?>
</div>
<?php echo CHtml::endForm() ?>
<?php
    if ($this->useAutosuggest) {
?>
        <script type="text/javascript">
            $(document).ready(function(){
                searchAutocomplete({
                    el:$('.<?php echo $this->uniqClassName;?>'),
                    url:'<?php echo Yii::app()->CreateUrl('search/search/autosuggest');?>'
                });
            });
        </script>
<?php
    }
?>
